     * {
        box-sizing: border-box;
      }

      body {
        font-family: "Nunito Sans", serif;
        margin: 0;
                background: linear-gradient(to right, #000B18 15%, #00264D 100%);

      }

      .wrapper {
        margin: 0;
        margin: 0 auto;
        display: grid;
        grid-template-columns: repeat(21, 1fr);
        grid-auto-rows: minmax(52px, auto);
      }


header {
background-color: rgba(0, 0, 0, 0.493);
color: white;
margin: 0;
padding-top: 0;
padding-bottom: 10px;
margin-bottom: 0;
grid-column: 1 / 22;
grid-row: 1 ;
position: -webkit-sticky; /* Para compatibilidad con Safari */
position: sticky;
top: 0;
transition: background-color 0.3s ease ; /* Animación suave del fondo */
z-index: 1000;
}

      header.scrolled {
        background-color: #e5e5e5; /* Fondo blanco cuando se desplaza */
        color: black;
        box-shadow: 0px 6px 5px 0px rgba(0, 0, 0, 0.25);
        -webkit-box-shadow: 0px 6px 5px 0px rgba(135, 207, 235, 0.555);

      }

      .sd {
        text-align: center;
        margin: 0;
        color: white;
        background: linear-gradient(to bottom right, #00628b 1%, #0084a2 25%, #00b8bc 100%);
        padding-bottom: 10px;
        padding-top: 10px;
      }

      .info {
        margin: 0;
        padding: 0;
        font-size: 20px;
        margin: 15px;
      }

      .subtitle {
        font-size: 40px;
        margin: 20px 15px;
        color: #ffffff;
        text-shadow: 1px 2px 2px white;
      }

      h3 {
        font-size: 26px;
        margin: 20px 15px;
      }

      .slogan {
        font-size: 30px;
        margin: 20px 15px;
        color: white;
        font-family: "PT Serif", serif;
        letter-spacing: 1px;
        font-style: italic;
      }



.sd {
text-align: center;
margin: 0;
color: white;
background: linear-gradient(to right, #000B18 15%, #00264D 100%);
padding-bottom: 10px;
padding-top: 10px;
}

.info {
margin: 0;
padding: 0;
font-size: 20px;
margin: 15px;
}

.subtitle {
font-size: 40px;
margin: 20px 15px;
}

h3 {
font-size: 26px;
margin: 20px 15px;
}

.slogan {
font-size: 30px;
margin: 20px 15px;
color: white;
font-family: "PT Serif", serif;
letter-spacing: 1px;
font-style: italic;
}


.links {
display: flex;
justify-content: center; /* Centrar horizontalmente */
align-items: flex-end; /* Alinear al fondo del contenedor */
height: 50px; /* Ajusta la altura según sea necesario */
margin-top: 10px;
}

.links a {
margin: 0 10px; /* Espaciado entre enlaces */
color: white;
font-size: 19px;  
text-decoration: none;
padding-left: 10px;
padding-right: 10px;
transition: 0.3s;
}

      .links button {
        background-color: rgba(255, 0, 0, 0);
        color: white;
        border: none;
        font-size: 18px;
        cursor: pointer;
        border-radius: 25px;
        transition: background 0.5s ease-in-out, transform 0.3s ease-in-out;
      }

      .links button:hover {
        transform: scale(1.10); /* Efecto de ligera expansión */
      }

.links a:hover {
transform: scale(1.10); /* Efecto de ligera expansión */
}


            header.scrolled .links button{
        color: black; /* Color de los enlaces cuando se desplaza */
      }


header.scrolled .links a {
color: black; /* Color de los enlaces cuando se desplaza */
}


header.scrolled .links a:hover {
color: #1A375E; /* Color de los enlaces cuando se desplaza */
}

.info-list li {
margin: 20px;
margin-bottom: 0;
font-size: 18px;
color: white;
list-style-type: disc;
}


      .two {
        grid-column: 1 / 22;
        grid-row: 1 / 13;
        background-image: url(../img/fondosolutions.png);
        background-size: cover;
      }

      .twotwo {
        grid-column: 3 / 12;
        grid-row: 4/ 7  ;
        background-color: rgba(0, 0, 0, 0.603);
        border-radius: 15px;
        color: white;
      }

      .twotwo .subtitle {
        color:  #e5e5e5;
        text-shadow: 1px 2px 3px #6cbfc6;
      }

      .three {
        grid-column: 4 / 10;
        grid-row: 9/ 11  ;
        background-color: rgba(0, 0, 0, 0.603);
        border-radius: 15px;
        color: white;
        text-align: center;
      }

      .four {
        grid-column: 1 / 22;
        grid-row: 13/ 15  ;
        background: linear-gradient(to bottom right, #00628b 1%, #0084a2 25%, #00b8bc 100%);
        color: white;
        text-align: center;
      }

      .five {
        grid-column: 1 / 22;
        grid-row: 33/ 40  ;
        color: white;
        text-align: center;
      }

      .six {
        grid-column: 5 / 18;
        grid-row: 26 / 31;
      }

      .six, .seven, .ten, .eleven h2 {
        color: white;
        text-shadow: white 1px 0 10px;
      }
      .six, .seven li {
        color: white;
        text-shadow: white 1px 0 10px;
      }

      .seven {
        grid-column: 5 / 18;
        grid-row: 16/ 20  ;
      }

      .eight {
        grid-column: 7 / 16;
        grid-row: 20/ 25 ;
        background: url(../img/foto9.png);
        height: 105%;
        background-size: cover;
        background-position: center; /* ¡Esto es lo clave para centrarla! */
        margin-top: 20px;
        border-radius: 15px;
        border: solid 3px skyblue;
      }

      .nine {
        grid-column: 7 / 16;
        grid-row: 31 / 36;
        background: url(../img/foto10.png);
        background-position: center; /* ¡Esto es lo clave para centrarla! */
        background-size: cover;
        border-radius: 15px;
        border: solid 3px skyblue;
        margin-top: 20px;
      }

      .ten{
        grid-column:5 / 18;
        grid-row: 37 / 42;
      }

      .eleven {
        grid-column: 12 / 20;
        grid-row: 80;
        color: white;
        margin-top: 20px;
      }

      .twelve {
        grid-column: 7 / 16;
        grid-row: 42 / 48;
        background: url(../img/foto11.png);
        background-size: cover;
        border-radius: 15px;
        border: solid 3px skyblue;
        margin-top: 20px;
        background-position: center; /* ¡Esto es lo clave para centrarla! */
      }


      .nineteen {
        grid-column: 1 / 22;
        grid-row: 49;
        background-color: #ade0de;
        text-align: center;
      }



      .nineteen button:hover {
        background: linear-gradient(to bottom right, #00628b 1%, #0084a2 25%, #00b8bc 100%);
      }

      .twenty { 
        grid-column: 1 / 22;
        grid-row: 50;
        background-color: #6cbfc6;
        text-align: center;
      }

      .footer {
    background-color: #061d25;
    color: white;
    padding: 30px 20px;
    text-align: left;
}


.footer-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    max-width: 1200px;
    margin: auto;
}

.footer-section {
    flex: 1;
    min-width: 250px;
    margin: 10px;
}

.footer-section h3 {
    color: #6cbfc6;
    margin-bottom: 10px;
}

.footer-section a {
    color: #ade0de;
    text-decoration: none;
    transition: color 0.3s; 
}

.footer-section li {
    margin: 10px; 
}

.footer-section a:hover {
    color: #ffffff;
}

.footer-bottom {
    margin-top: 20px;
    padding-top: 15px;
    border-top: 1px solid #6cbfc6;
}

ul {
  list-style-type: none;
}

.general-boton {
        background-color: #6cbfc6;
        color: white;
        border: none;
        padding: 10px 20px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 18px;
        margin-bottom: 20px ;
        cursor: pointer;
        border-radius: 25px;
        transition: background 0.5s ease-in-out, transform 0.3s ease-in-out;
      }

      .general-boton:hover {
    background: linear-gradient(to bottom right, #00628b, #0084a2, #00b8bc);
    transform: scale(1.05); /* Efecto de ligera expansión */
}

@keyframes show {
	from {
		opacity: 0;
		scale: 25%;
	}

	to {
		opacity: 1;
		scale: 100%;
	}
}

.four, .eight, .nine, .twelve, .thirteen {
	view-timeline-name: --image;
	view-timeline-axis: block;

	animation-timeline: --image;
	animation-name: show;

	animation-range: entry 25% cover 30%;
	animation-fill-mode: both;
}

/* RESPONSIVE */

/*      RESPONSIVE PARA TABLET   1250px  */

@media (max-width: 768px) {

.wrapper {
  grid-template-columns: repeat(11, 1fr);
}

.header
{
  padding-top: 0;
  padding-bottom: 0;
}

.links a {
  font-size: 16px;
}

.two {
  grid-column: 1 / 12;
  grid-row: 1 / 10;
}

.twotwo {
  grid-column: 1 / 8;
  grid-row: 5 / 8;
  margin-left: 10px;
}

.three {
  grid-column: 1 / 9;
  grid-row: 8;
  margin-left: 10px;
  margin-top: 10px;
}

.four {
  grid-column: 1 / 12;
  grid-row: 10;
  }

  .seven {
    grid-column: 1 / 12;
    grid-row: 12;
  }

  .six {
    grid-column: 1 / 12;
    grid-row: 21 / 23;
    padding-right: 10px;
  }

  .six li {
    font-size: 16px;
  }

  .eight {
    grid-column: 1 / 12;
    grid-row: 13 / 20;
    margin: 15px;
  }

  .nine {
    grid-column: 1 / 12;
    grid-row: 23 / 30;
    margin: 15px;
  }

  .ten {
    margin-top: 60px; ;
    grid-column: 1 / 12;
    grid-row: 30 / 35;
  }

  .eleven {
    margin-top: 60px;
    grid-column: 1 / 12;
    grid-row: 42 / 46;
  }

  .twelve {
    grid-column: 1 / 12;
    grid-row: 35/ 42;
    margin: 15px;
  }

  .thirteen {
    grid-column: 1 / 12;
    grid-row: 46 / 53;
}

.nineteen {
  grid-column: 1 / 12;
  grid-row: 43;
}

.twenty {
  grid-column: 1 / 12;
  grid-row: 44;
}}

/*  RESPONSIVE 600px   */

.menu-toggle, .close-menu {
        display: none;
        background: none;
        border: none;
        font-size: 24px;
        color: black;
        cursor: pointer;
    }

    @media (max-width: 600px) { 

        .menu-toggle {
            display: block;
            color: white;
        }

          header.scrolled .menu-toggle {
        color: black; /* Color de los enlaces cuando se desplaza */
      }

        header.scrolled .links a {
        color: #e5e5e5; /* Color de los enlaces cuando se desplaza */
      }

             header.scrolled .links button{
        color:#e5e5e5; /* Color de los enlaces cuando se desplaza */
      }

        .links {
            position: fixed;
            top: 0;
            left: -100%;
            width: 250px;
            height: 100vh;
            background-color: rgba(0, 0, 0, 0.9);
            flex-direction: column;
            align-items: start;
            padding: 60px 20px;
            transition: left 0.3s ease-in-out;
        }

        .links a {
            display: block;
            font-size: 20px;
            padding: 10px 0;
            color: white;
        }

        .links.active {
            left: 0;
            color: white;
        }

        .close-menu {
            display: block;
            position: absolute;
            top: 10px;
            right: 15px;
            font-size: 28px;
            color:white;
        }

        .sd {
            font-size: 14px;
        }

        .info {
            font-size: 16px;
        }

        .subtitle {
            font-size: 24px;
        }

        h3 {
            font-size: 20px;
        }

        .slogan {
            font-size: 15px;
        }

        .servicios-nombre {
            font-size: 16px;
        }

        .servicios-boton {
            font-size: 16px;
        }

        .general-boton {
            font-size: 16px;
        }

        .footer-section h3 {
            font-size: 18px;
        }

        .footer-section a {
            font-size: 16px;
        }

        .footer-bottom {
            font-size: 14px;
        }
      }
      @media (max-width: 430px) {


        .two {
          grid-column: 1 / 12;
          grid-row: 1 / 11;
        }

        .twotwo {
          grid-column: 1 / 12;
          grid-row: 8 / 11;
          margin-left: 0;
          padding-bottom: 25px;
          border-bottom-left-radius: 0;
          border-bottom-right-radius: 0;
        }

        .twotwo .info {
          margin-top: 15px;
        }

        .twotwo .subtitle {
          margin: 15px 15px;
        }

        .four {
          grid-column: 1 / 12;
          grid-row: 11;
        }


        .seven, .six, .ten, .eleven   {
          margin-left: 0;
          margin-right: 0;
        }

        .info-list li {
              margin-left: 0;
        }

        .sd {
      padding: 10px;
    }
  }